﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILEAUTH') 
 CREATE TABLE T_SOECADM_REVIEWFILEAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REVFILEVEF') 
 CREATE TABLE T_SOECADM_REVFILEVEF (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILEPOS') 
 CREATE TABLE T_SOECADM_REVIEWFILEPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(1) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(1) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILE') 
 CREATE TABLE T_SOECADM_REVIEWFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FSOLIDATE DATETIME,
FVERDATE DATETIME,
FCONOBS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILE_L') 
 CREATE TABLE T_SOECADM_REVIEWFILE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PERSONALREP') 
 CREATE TABLE T_SOECADM_PERSONALREP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FSOLIDATE DATETIME,
FVERDATE DATETIME,
FCONOBS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PERREPAUTH') 
 CREATE TABLE T_SOECADM_PERREPAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PERSONALREPPOS') 
 CREATE TABLE T_SOECADM_PERSONALREPPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(1) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(1) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PERSONALREP_L') 
 CREATE TABLE T_SOECADM_PERSONALREP_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_PERREPVEF') 
 CREATE TABLE T_SOECADM_PERREPVEF (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUP_L') 
 CREATE TABLE T_SOECADM_SOLICITSUP_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLSUPVEF') 
 CREATE TABLE T_SOECADM_SOLSUPVEF (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUP') 
 CREATE TABLE T_SOECADM_SOLICITSUP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FVERDATE DATETIME,
FCONOBS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUPPOS') 
 CREATE TABLE T_SOECADM_SOLICITSUPPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUPAUTH') 
 CREATE TABLE T_SOECADM_SOLICITSUPAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMPLAINTREP') 
 CREATE TABLE T_SOECADM_COMPLAINTREP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRPOSITIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
FVERDATE DATETIME,
FCONOBS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMREPVEF') 
 CREATE TABLE T_SOECADM_COMREPVEF (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMPLAINTREP_L') 
 CREATE TABLE T_SOECADM_COMPLAINTREP_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FCONOBSSPLICE NVARCHAR(300) DEFAULT ' ' NOT NULL,
FVERSITEXPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMREPAUTH') 
 CREATE TABLE T_SOECADM_COMREPAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_COMREPPOS') 
 CREATE TABLE T_SOECADM_COMREPPOS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPREMID BIGINT DEFAULT 0 NOT NULL,
FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
