﻿/**Begin D:\PDM_UPGRADE\PDM1\SOECADM_constraint.sql **/
 EXEC P_ALTERPK 'PK_SOECADM_MMEETPSUBENTRY', 'T_SOECADM_MMEETPSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MMEETPSUBENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_MMEETPSUBENTRY') CREATE INDEX IDX_SOECADM_MMEETPSUBENTRY ON T_SOECADM_MMEETPSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOECADM_DEMRECPRE', 'T_SOECADM_DEMRECPRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DEMRECPRE' AND KSQL_INDNAME = 'IDX_SOECADM_DEMRECPRE') CREATE INDEX IDX_SOECADM_DEMRECPRE ON T_SOECADM_DEMRECPRE ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_MOTMEETPJCARD_L', 'T_SOECADM_MOTMEETPJCARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTMEETPJCARD_L' AND KSQL_INDNAME = 'IDX_SOECADM_MOTMEETPJCARD_L') CREATE INDEX IDX_SOECADM_MOTMEETPJCARD_L ON T_SOECADM_MOTMEETPJCARD_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONPREPAR', 'T_SOECADM_MOTIONPREPAR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPREPAR' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONPREPAR') CREATE INDEX IDX_SOECADM_MOTIONPREPAR ON T_SOECADM_MOTIONPREPAR ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_MRECSUBENTRY', 'T_SOECADM_MRECSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MRECSUBENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_MRECSUBENTRY') CREATE INDEX IDX_SOECADM_MRECSUBENTRY ON T_SOECADM_MRECSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOECADM_TRECSUBENTRY', 'T_SOECADM_TRECSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_TRECSUBENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_TRECSUBENTRY') CREATE INDEX IDX_SOECADM_TRECSUBENTRY ON T_SOECADM_TRECSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOECADM_MEETRECPJCARD', 'T_SOECADM_MEETRECPJCARD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MEETRECPJCARD' AND KSQL_INDNAME = 'IDX_SOECADM_MEETRECPJCARD') CREATE INDEX IDX_SOECADM_MEETRECPJCARD ON T_SOECADM_MEETRECPJCARD ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONPJCARD', 'T_SOECADM_MOTIONPJCARD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPJCARD' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONPJCARD') CREATE INDEX IDX_SOECADM_MOTIONPJCARD ON T_SOECADM_MOTIONPJCARD ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_PREAUTHENTRY', 'T_SOECADM_PREAUTHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PREAUTHENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_PREAUTHENTRY') CREATE INDEX IDX_SOECADM_PREAUTHENTRY ON T_SOECADM_PREAUTHENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONPRE', 'T_SOECADM_MOTIONPRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPRE' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONPRE') CREATE INDEX IDX_SOECADM_MOTIONPRE ON T_SOECADM_MOTIONPRE ( FBILLNO ,FMOTIONTHEME );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONPJCARD_L', 'T_SOECADM_MOTIONPJCARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPJCARD_L' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONPJCARD_L') CREATE INDEX IDX_SOECADM_MOTIONPJCARD_L ON T_SOECADM_MOTIONPJCARD_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONRENTRY', 'T_SOECADM_MOTIONRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONRENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONRENTRY') CREATE INDEX IDX_SOECADM_MOTIONRENTRY ON T_SOECADM_MOTIONRENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DEMRECPRE_L', 'T_SOECADM_DEMRECPRE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DEMRECPRE_L' AND KSQL_INDNAME = 'IDX_SOECADM_DEMRECPRE_L') CREATE INDEX IDX_SOECADM_DEMRECPRE_L ON T_SOECADM_DEMRECPRE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_RECRESCARD', 'T_SOECADM_RECRESCARD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_RECRESCARD' AND KSQL_INDNAME = 'IDX_SOECADM_RECRESCARD') CREATE INDEX IDX_SOECADM_RECRESCARD ON T_SOECADM_RECRESCARD ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_MPSUBENTRY_L', 'T_SOECADM_MPSUBENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MPSUBENTRY_L' AND KSQL_INDNAME = 'IDX_SOECADM_MPSUBENTRY_L') CREATE INDEX IDX_SOECADM_MPSUBENTRY_L ON T_SOECADM_MPSUBENTRY_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_MMEETPSUBENTRY_L', 'T_SOECADM_MMEETPSUBENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MMEETPSUBENTRY_L' AND KSQL_INDNAME = 'IDX_SOECADM_MMEETPSUBENTRY_L') CREATE INDEX IDX_SOECADM_MMEETPSUBENTRY_L ON T_SOECADM_MMEETPSUBENTRY_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_RRECSUBENTRY', 'T_SOECADM_RRECSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_RRECSUBENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_RRECSUBENTRY') CREATE INDEX IDX_SOECADM_RRECSUBENTRY ON T_SOECADM_RRECSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOECADM_MMOTIONRENTRY', 'T_SOECADM_MMOTIONRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MMOTIONRENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_MMOTIONRENTRY') CREATE INDEX IDX_SOECADM_MMOTIONRENTRY ON T_SOECADM_MMOTIONRENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_MMOTIONRENTRY_L', 'T_SOECADM_MMOTIONRENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MMOTIONRENTRY_L' AND KSQL_INDNAME = 'IDX_SOECADM_MMOTIONRENTRY_L') CREATE INDEX IDX_SOECADM_MMOTIONRENTRY_L ON T_SOECADM_MMOTIONRENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_TALKRECPJCARD', 'T_SOECADM_TALKRECPJCARD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_TALKRECPJCARD' AND KSQL_INDNAME = 'IDX_SOECADM_TALKRECPJCARD') CREATE INDEX IDX_SOECADM_TALKRECPJCARD ON T_SOECADM_TALKRECPJCARD ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_MPSUBENTRY', 'T_SOECADM_MPSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MPSUBENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_MPSUBENTRY') CREATE INDEX IDX_SOECADM_MPSUBENTRY ON T_SOECADM_MPSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONPRE_L', 'T_SOECADM_MOTIONPRE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPRE_L' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONPRE_L') CREATE INDEX IDX_SOECADM_MOTIONPRE_L ON T_SOECADM_MOTIONPRE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTMEETPJCARD', 'T_SOECADM_MOTMEETPJCARD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTMEETPJCARD' AND KSQL_INDNAME = 'IDX_SOECADM_MOTMEETPJCARD') CREATE INDEX IDX_SOECADM_MOTMEETPJCARD ON T_SOECADM_MOTMEETPJCARD ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_RRECSUBENTRY_L', 'T_SOECADM_RRECSUBENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_RRECSUBENTRY_L' AND KSQL_INDNAME = 'IDX_SOECADM_RRECSUBENTRY_L') CREATE INDEX IDX_SOECADM_RRECSUBENTRY_L ON T_SOECADM_RRECSUBENTRY_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTCANDSELMET_L', 'T_SOECADM_MOTCANDSELMET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTCANDSELMET_L' AND KSQL_INDNAME = 'IDX_SOECADM_MOTCANDSELMET_L') CREATE INDEX IDX_SOECADM_MOTCANDSELMET_L ON T_SOECADM_MOTCANDSELMET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTCANDSELMET', 'T_SOECADM_MOTCANDSELMET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTCANDSELMET' AND KSQL_INDNAME = 'IDX_SOECADM_MOTCANDSELMET') CREATE INDEX IDX_SOECADM_MOTCANDSELMET ON T_SOECADM_MOTCANDSELMET ( FNUMBER );



/**End D:\PDM_UPGRADE\PDM1\SOECADM_constraint.sql **/
