﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_OUTAUDIT')
CREATE TABLE T_SOECADM_OUTAUDIT (
                                    FID BIGINT DEFAULT 0 NOT NULL,
                                    FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                    FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                    FAUDITDATE DATETIME,
                                    FMODIFYTIME DATETIME,
                                    FCREATETIME DATETIME,
                                    FORGID BIGINT DEFAULT 0 NOT NULL,
                                    FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                    FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                    FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FEVENTEFFECTDATE DATETIME,
                                    FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
                                    FPERSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                    FOUTSIDERSID BIGINT DEFAULT 0 NOT NULL,
                                    FAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
                                    FAPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
                                    FRPOSITIONNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
                                    FACTIVITYSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FENDTIME DATETIME,
                                    FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                    FOPERATESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                    FFULLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
                                    FFULLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
                                    FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
                                    FAPPREMPERID BIGINT DEFAULT 0 NOT NULL,
                                    FAUDITENDDATE DATETIME,
                                    FFEEDBACK NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                    FOUTDATE DATETIME,
                                    FOPINION VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_OUTAUDIT_L')
CREATE TABLE T_SOECADM_OUTAUDIT_L (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                      FFEEDBACK NVARCHAR(255) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_OUTAUDITAUTH')
CREATE TABLE T_SOECADM_OUTAUDITAUTH (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FSEQ INT DEFAULT 0 NOT NULL,
                                        FAUTHORGID BIGINT DEFAULT 0 NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_OUTAUDITPOS')
CREATE TABLE T_SOECADM_OUTAUDITPOS (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL,
                                       FAPPREMID BIGINT DEFAULT 0 NOT NULL,
                                       FENTRYAPPREMREGID BIGINT DEFAULT 0 NOT NULL,
                                       FAPPOINTTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSTPATTERN VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FSTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBID BIGINT DEFAULT 0 NOT NULL,
                                       FISMAINPOST VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                       FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                       FAPPTREASONGROUPID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
                                       FINSTANCEID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
